extends Node3D

@onready var coffin_slide_out: Node3D = $CoffinSlideOut
@onready var coffin_openable: Node3D = $CoffinOpenable
@onready var coffin_slide_fire: Node3D = $CoffinSlideFire

func _input(event: InputEvent) -> void:
	if event is InputEventKey:
		var keyEvent: InputEventKey = event
		if keyEvent.keycode == KEY_1:
			coffin_slide_out.visible = true
			coffin_openable.visible = false
			coffin_slide_fire.visible = false
			
		if keyEvent.keycode == KEY_2:
			coffin_slide_out.visible = false
			coffin_openable.visible = true
			coffin_slide_fire.visible = false
			
		if keyEvent.keycode == KEY_3:
			coffin_slide_out.visible = false
			coffin_openable.visible = false
			coffin_slide_fire.visible = true
